/**
 * @file iOS/Android Patient actions.js
 * Created by lixu06 on 15/8/14.
 * Copyright (c) 2015年 百度在线. All rights reserved.
 */
// 单个参数，没有参数调用
var androidApiLevel = 11;
function setAndroidApiLevel(level){
    androidApiLevel = level;
}
function actionWithContent(scheme, msg) {
    var jObj = new Object();
    jObj.content = msg;
    var jstring = JSON.stringify(jObj);
    actionUrl(scheme, jstring);
}
// 多个参数调用
function actionWithParas(scheme, jstring) {
    actionUrl(scheme, jstring);
}
// 打开url
function iosActionUrl(scheme, actionType, jstring) {
    var url = scheme + '://' + actionType + '#' + jstring;
    var ifr = document.createElement('iframe');
    ifr.src = url;
    ifr.style.display = 'none';
    document.body.appendChild(ifr);
    window.setTimeout(function() {
                      document.body.removeChild(ifr);
                      }, 1000);
}
function androidActionUrl(scheme, actionType, jstring) {
    if(androidApiLevel >= 11){
        ajaxAction(scheme, actionType, jstring);
    } else {
        jsInterfaceAction(scheme, actionType, jstring);
    }
}
function jsInterfaceAction(scheme, actionType, jstring){
    var url = scheme + '://' + actionType + '?'+jstring;
    AndroidJSInterface.loadUrl(url);
}
function ajaxAction(scheme, actionType, jstring){
    var url = scheme + '://' + actionType;
    $.ajax({
           type : "GET",
           url : url,
           data : jstring,
           dataType : "text"
           });
}
function actionUrl(scheme, jstring) {
    var u = navigator.userAgent;
    if (u.indexOf('Android') > -1 || u.indexOf('Linux') > -1) {
        androidActionUrl('http', scheme, jstring);
        return;
    }
    if (u.indexOf('iPhone') > -1 || u.indexOf('iPad') > -1) {
        iosActionUrl(scheme, 'XClass.XMethod.XParas', jstring);
        return;
    }
    if (u.indexOf('Windows Phone') > -1) {
        return;
    }
}