/**
 * @file iOS/Android Patient checkers.js 
 * Created by lixu06 on 15/8/14. 
 * Copyright (c) 2025年 百度在线. All rights reserved.
 */
// 提交预约单时添加docotor 与 预选信息
function checkDoctor() {
    var array = new Array();
    var docJstring = getSolidString(getCookie('doctorJson'));
    var docJson = JSON.parse(docJstring);
    if(!isEmpty(getSolidString(docJson.doctorId))){
        array.push(getJSONObject('doctorId', docJson.doctorId));
    } else if(!isEmpty(getSolidString(docJson.id))){
        array.push(getJSONObject('doctorId', docJson.id));
    }
    array.push(getJSONObject('hospitalId', getSolidString(docJson.hospitalId)));
    array.push(getJSONObject('treatTime', getSolidString(docJson.orderData.treatTime)));
    array.push(getJSONObject('treatInterval',  getSolidString(docJson.orderData.treatInterval)));
    if(!isEmpty(getSolidString(docJson.orderData.sourceNumberInfo))){
        array.push(getJSONObject('sourceNumberInfo', getSolidString(docJson.orderData.sourceNumberInfo)));
    }
    array.push(getJSONObject('requestId', getSolidString(docJson.requestId)));
    array.push(getJSONObject('needCard', getSolidString(docJson.needCard)));
    array.push(getJSONObject('displayDiseaseImage', getSolidString(docJson.displayDiseaseImage)));
    array.unshift(getJSONObject('checkpass', 'YES'));
    return array;
}
// 提交预约单时判断就诊人信息
function checkPatientName() {
	var array = new Array();
	var styleString = getSolidString(getCookie('stylePatientName')).substr(2, 2);
	if ('03' === styleString) {
		if (true == isEmpty(getSolidString(getCookie('patientId')))
				&& true == isEmpty(getSolidString(getCookie('patientIdentification')))) {
			setFocus('patient-edit');
			actionWithContent('alert-msg', '请新增就诊人!');
			return array.unshift(getJSONObject('checkpass', 'NO'));
		}
	}
	if ('02' === styleString || '03' === styleString) {
		if (false == isEmpty(getSolidString(getCookie('patientId')))) {
			array.push(getJSONObject('patientId',
					getSolidString(getCookie('patientId'))));
		} else {
			array.push(getJSONObject('name',
					getSolidString(getCookie('patientName'))));
			array.push(getJSONObject('identification',
					getSolidString(getCookie('patientIdentification'))));
		}
	}
	array.unshift(getJSONObject('checkpass', 'YES'));
	return array;
}
function checkPatientPhone() {
	var array = new Array();
	var styleString = getSolidString(getCookie('stylePatientPhone')).substr(2,
			2);
	if ('03' === styleString) {
		if (true == isEmpty(getSolidString(getCookie('patientPhone')))) {
			setFocus('phone-edit');
			actionWithContent('alert-msg', '请填写正确的联系手机!');
			return array.unshift(getJSONObject('checkpass', 'NO'));
		}
		if (getSolidString(getCookie('patientPhone')).length < 11) {
			setFocus('phone-edit');
			actionWithContent('alert-msg', '请填写正确的联系手机!');
			return array.unshift(getJSONObject('checkpass', 'NO'));
		}
		if (getSolidString(getCookie('patientPhone')) != getSolidString(getCookie('patientPhoneOrg'))) {
			if (isNaN(getCookie('patientPhone'))) {
				setFocus('phone-edit');
				actionWithContent('alert-msg', '请填写正确的联系手机!');
				return array.unshift(getJSONObject('checkpass', 'NO'));
			}
		}
	}
	if ('02' === styleString || '03' === styleString) {
		if (true == isEmpty(getSolidString(getCookie('patientId')))) {
			if (false == isEmpty(getSolidString(getCookie('patientPhone')))) {
				array.push(getJSONObject('phone',
						getSolidString(getCookie('patientPhone'))));
			}
		} else {
			if (getSolidString(getCookie('patientPhone')) != getSolidString(getCookie('patientPhoneOrg'))) {
				array.push(getJSONObject('phone',
						getSolidString(getCookie('patientPhone'))));
			}
		}
	}
	array.unshift(getJSONObject('checkpass', 'YES'));
	return array;
}
// 提交预约单时判断位置信息
function checkLocation() {
    var array = new Array();
    var styleString = getSolidString(getCookie('styleLocation')).substr(2, 2);
    if ('03' === styleString) {
        if (true == isEmpty(getSolidString(getCookie('locationProvince')))
            && true == isEmpty(getSolidString(getCookie('locationCity')))) {
            setFocus('location-edit');
            actionWithContent('alert-msg', '请选择您的位置!');
            array.unshift(getJSONObject('checkpass', 'NO'));
        }else {
            array.push(getJSONObject('provinceName',
                                     getSolidString(getCookie('locationProvince'))));
            array.push(getJSONObject('cityName',
                                     getSolidString(getCookie('locationCity'))));
            array.unshift(getJSONObject('checkpass', 'YES'));
        }
    }else if('02' === styleString){
        if (false == isEmpty(getSolidString(getCookie('locationProvince')))) {
            array.push(getJSONObject('provinceName',
                                     getSolidString(getCookie('locationProvince'))));
        }
        if (false == isEmpty(getSolidString(getCookie('locationCity')))) {
            array.push(getJSONObject('cityName',
                                     getSolidString(getCookie('locationCity'))));
        }
        array.unshift(getJSONObject('checkpass', 'YES'));
    }else {
        array.unshift(getJSONObject('checkpass', 'YES'));
    }
    return array;
}
// 提交预约单时判断就诊卡信息
function checkCardAccount() {
	var array = new Array();
	var styleString = getSolidString(getCookie('styleCardAccount')).substr(2, 2);
	if ('03' === styleString) {
		if (true == isEmpty(getSolidString(getCookie('cardAccount')))) {
			setFocus('account-edit');
			actionWithContent('alert-msg', '请填写就诊卡号!');
			return array.unshift(getJSONObject('checkpass', 'NO'));
		}
	}
	if ('02' === styleString || '03' === styleString) {
		if (false == isEmpty(getSolidString(getCookie('cardAccount')))) {
			array.push(getJSONObject('visitCard',
					getSolidString(getCookie('cardAccount'))));
		}
	}
	array.unshift(getJSONObject('checkpass', 'YES'));
	return array;
}
function checkCardPassword() {
	var array = new Array();
	var styleString = getSolidString(getCookie('styleCardPassword')).substr(2, 2);
	if ('03' === styleString) {
		if (true == isEmpty(getSolidString(getCookie('cardPassword')))) {
			setFocus('password-edit');
			actionWithContent('alert-msg', '请填写就诊卡密码!');
			return array.unshift(getJSONObject('checkpass', 'NO'));
		}
	}
	if ('02' === styleString || '03' === styleString) {
		if (false == isEmpty(getSolidString(getCookie('cardPassword')))) {
			array.push(getJSONObject('visitCardPassword',
					getSolidString(getCookie('cardPassword'))));
		}
	}
	array.unshift(getJSONObject('checkpass', 'YES'));
	return array;
}
// 提交预约单时判断就诊历史
function checkDiagnose() {
	var array = new Array();
	var styleString = getSolidString(getCookie('styleDisease')).substr(2, 2);
	if ('03' === styleString) {
		if (true == isEmpty(getSolidString(getCookie('diagnoseText')))) {
			setFocus('diagnose-edit');
			actionWithContent('alert-msg', '请填写所患疾病!');
			return array.unshift(getJSONObject('checkpass', 'NO'));
		}
	}
	array.unshift(getJSONObject('checkpass', 'YES'));
	return array;
}
function checkRevisit() {
	var array = new Array();
	var styleString = getSolidString(getCookie('styleRevisit')).substr(2, 2);
	if ('03' === styleString) {
		if (true == isEmpty(getSolidString(getCookie('revisitState')))) {
			setFocus('revisit-control');
			actionWithContent('alert-msg', '请选择是否得到过该医生的诊治!');
			return array.unshift(getJSONObject('checkpass', 'NO'));
		}
	}
	if ('02' === styleString || '03' === styleString) {
		if (false == isEmpty(getSolidString(getCookie('revisitState')))) {
			array.push(getJSONObject('isTreated',
					getSolidString(getCookie('revisitState'))));
		}
	}
	array.unshift(getJSONObject('checkpass', 'YES'));
	return array;
}
// 校验疾病描述
function checkDiseaseDesc() {
	var array = new Array();
	var styleString = getSolidString(getCookie('styleDiseasedesc'))
			.substr(2, 2);
	if ('03' === styleString) {
		if (true == isEmpty(getSolidString(getCookie('diseaseText')))) {
			actionWithContent('alert-msg', '请填写病症信息!');
			setFocus('disease-edit');
			return array.unshift(getJSONObject('checkpass', 'NO'));
		}
	}
	var diseaseText = '';
	var diagnoseText = '';
	if ('02' === styleString || '03' === styleString) {
		diseaseText = getSolidString(getCookie('diseaseText'));
	}
	if ('02' === getCookie('styleDisease').substr(2, 2)
			|| '03' === getCookie('styleDisease').substr(2, 2)) {
		diagnoseText = getSolidString(getCookie('diagnoseText'));
	}
	if (false == isEmpty(diseaseText)) {
		if (false == isEmpty(diagnoseText)) {
			array.push(getJSONObject('diseaseDesc', diagnoseText + ':'
					+ diseaseText));
		} else {
			array.push(getJSONObject('diseaseDesc', diseaseText));
		}
	} else {
		if (false == isEmpty(diagnoseText)) {
			array.push(getJSONObject('diseaseDesc', diagnoseText));
		}
	}
	array.unshift(getJSONObject('checkpass', 'YES'));
	return array;
}
// 提交预约单时判断疾病图片
function checkDiseasePics() {
	var array = new Array();
	var styleString = getSolidString(getCookie('stylePhoto')).substr(2, 2);
	if ('03' === styleString) {
		if (true == isEmpty(getSolidString(getCookie('diseasePicarray')))) {
            setFocus('photo-control');
			actionWithContent('alert-msg', '请选择病症图片!');
			return array.unshift(getJSONObject('checkpass', 'NO'));
		}
	}
	if ('02' === styleString || '03' === styleString) {
		if (false == isEmpty(getSolidString(getCookie('diseasePicarray')))) {
			array.push(getJSONObject('diseasePicArray', getSolidString(getCookie('diseasePicarray'))));
		}
	}
	array.unshift(getJSONObject('checkpass', 'YES'));
	return array;
}
// 校验支付信息
function checkPayment(){
    var array = new Array();
    var styleString = getSolidString(getCookie('stylePayment')).substr(2,2);
    if('04' === styleString || '05' === styleString || '06' === styleString){
        if ( true == isEmpty(getSolidString(getCookie('paymentState'))) ) {
            document.getElementById('payment-control').focus();
            actionWithContent('alert-msg', '请选择支付方式!');
            return array.unshift(getJSONObject('checkpass','NO'));
        }
    }
    if('04' === styleString || '05' === styleString || '06' === styleString){
        if (false == isEmpty(getSolidString(getCookie('paymentState')))) {
            array.push(getJSONObject('payType', getSolidString(getCookie('paymentState'))));
        }
    } else {
        array.push(getJSONObject('payType', '3'));
    }
    array.unshift(getJSONObject('checkpass','YES'));
    return array;
}
// 提交预约单时判断医保类型
function checkSocialType() {
    var array = new Array();
    var styleString = getSolidString(getCookie('styleSocialType')).substr(2, 2);
    if ('03' === styleString) {
        if (true == isEmpty(getSolidString(getCookie('socialType')))) {
            setFocus('social-edit');
            actionWithContent('alert-msg', '请选择医保类型!');
            return array.unshift(getJSONObject('checkpass', 'NO'));
        }
    }
    if ('02' === styleString || '03' === styleString) {
        if (false == isEmpty(getSolidString(getCookie('socialType')))) {
            array.push(getJSONObject('zjolCardType', getSolidString(getCookie('socialType'))));
        }
    }
    array.unshift(getJSONObject('checkpass', 'YES'));
    return array;
}
// 提交预约单时判断医保卡号
function checkSocialCard() {
    var array = new Array();
    var styleString = getSolidString(getCookie('styleSocialCard')).substr(2, 2);
    if ('03' === styleString) {
        if (true == isEmpty(getSolidString(getCookie('socialCard')))) {
            setFocus('scard-edit');
            actionWithContent('alert-msg', '请填写医保卡号!');
            return array.unshift(getJSONObject('checkpass', 'NO'));
        }
    }
    if ('02' === styleString || '03' === styleString) {
        if (false == isEmpty(getSolidString(getCookie('socialCard')))) {
            array.push(getJSONObject('zjolCardNum', getSolidString(getCookie('socialCard'))));
        }
    }
    array.unshift(getJSONObject('checkpass', 'YES'));
    return array;
}
// 提交预约单时判断联系地址
function checkAddress() {
    var array = new Array();
    var styleString = getSolidString(getCookie('styleSocialAddress')).substr(2, 2);
    if ('03' === styleString) {
        if (true == isEmpty(getSolidString(getCookie('socialAddress')))) {
            setFocus('address-edit');
            actionWithContent('alert-msg', '请填写联系地址!');
            return array.unshift(getJSONObject('checkpass', 'NO'));
        }
    }
    if ('02' === styleString || '03' === styleString) {
        if (false == isEmpty(getSolidString(getCookie('socialAddress')))) {
            array.push(getJSONObject('zjolAddress', getSolidString(getCookie('socialAddress'))));
        }
    }
    array.unshift(getJSONObject('checkpass', 'YES'));
    return array;
}
// 提交预约单时判断助医网是否复诊
function checkZyrevisit() {
    var array = new Array();
    var styleString = getSolidString(getCookie('styleZyrevisit')).substr(2, 2);
    if ('07' === styleString ||'08' === styleString||'09' === styleString) {
        if (true == isEmpty(getSolidString(getCookie('zyrevisitState')))) {
            setFocus('zyrevisit-control');
            actionWithContent('alert-msg', '请选择是否在该医院就诊过!');
            return array.unshift(getJSONObject('checkpass', 'NO'));
        }
    }
    if ('07' === styleString ||'08' === styleString||'09' === styleString) {
        if (false == isEmpty(getSolidString(getCookie('zyrevisitState')))) {
            array.push(getJSONObject('zywIsTreated',
                                     getSolidString(getCookie('zyrevisitState'))));
        }
    }
    array.unshift(getJSONObject('checkpass', 'YES'));
    return array;
}
// 提交预约单时判断助医网支付方式
function checkZypayment() {
    var array = new Array();
    var styleString = getSolidString(getCookie('styleZypayment')).substr(2, 2);
    if ('03' === styleString ) {
        if (true == isEmpty(getSolidString(getCookie('zypaymentState')))) {
            setFocus('zypayment-control');
            actionWithContent('alert-msg', '请选择缴费方式!');
            return array.unshift(getJSONObject('checkpass', 'NO'));
        }
    }
    if ('02' === styleString ||'03' === styleString) {
        if (false == isEmpty(getSolidString(getCookie('zypaymentState')))) {
            array.push(getJSONObject('zywCardType',
                                     getSolidString(getCookie('zypaymentState'))));
        }
    }
    array.unshift(getJSONObject('checkpass', 'YES'));
    return array;
}
// 提交预约单时判断助医网医保卡号
function checkZysocialcard(){
    var array = new Array();
    var styleString = getSolidString(getCookie('styleZysocialcard')).substr(2, 2);
    if ('03' === styleString ) {
        if (true == isEmpty(getSolidString(getCookie('zysocialCard')))) {
            setFocus('zyscard-edit');
            actionWithContent('alert-msg', '请填写医保卡号!');
            return array.unshift(getJSONObject('checkpass', 'NO'));
        }
    }
    if ('02' === styleString ||'03' === styleString) {
        if (false == isEmpty(getSolidString(getCookie('zysocialCard')))) {
            array.push(getJSONObject('zywCardNum',
                                     getSolidString(getCookie('zysocialCard'))));
        }
    }
    array.unshift(getJSONObject('checkpass', 'YES'));
    return array;
}
// 提交预约单时判断助医网就诊卡号
function checkZyvisitcard(){
    var array = new Array();
    var styleString = getSolidString(getCookie('styleZyvisitcard')).substr(2, 2);
    if ('03' === styleString ) {
        if (true == isEmpty(getSolidString(getCookie('zyvisitCard')))) {
            setFocus('zyvcard-edit');
            actionWithContent('alert-msg', '请填写就诊卡号!');
            return array.unshift(getJSONObject('checkpass', 'NO'));
        }
    }
    if ('02' === styleString ||'03' === styleString) {
        if (false == isEmpty(getSolidString(getCookie('zyvisitCard')))) {
            array.push(getJSONObject('zywCardNum', getSolidString(getCookie('zyvisitCard'))));
        }
    }
    array.unshift(getJSONObject('checkpass', 'YES'));
    return array;
}
// 河南号源 检查是否复诊
function checkHnrevisit() {
    var array = new Array();
    var styleString = getSolidString(getCookie('styleHnrevisit')).substr(2, 2);
    if ('03' === styleString) {
        if (true == isEmpty(getSolidString(getCookie('hnrevisitState')))) {
            setFocus('hnrevisit-control');
            actionWithContent('alert-msg', '请选择是否在该医院就诊过!');
            return array.unshift(getJSONObject('checkpass', 'NO'));
        }
    }
    if ('02' === styleString || '03' === styleString) {
        if (false == isEmpty(getSolidString(getCookie('hnrevisitState')))) {
            array.push(getJSONObject('isShowTreated',
                                     getSolidString(getCookie('hnrevisitState'))));
        }
    }
    array.unshift(getJSONObject('checkpass', 'YES'));
    return array;
}
function checkFragments() {
	var jObj = {};
	var jarray = new Array();
    var doctorarray = checkDoctor();
    if ('NO' == doctorarray[0].value) {
        return;
    } else {
        if (doctorarray.length > 1) {
            jarray = jarray.concat(doctorarray.slice(1));
        }
    }
	var namearray = checkPatientName();
	if ('NO' == namearray[0].value) {
		return;
	} else {
		if (namearray.length > 1) {
			jarray = jarray.concat(namearray.slice(1));
		}
	}
	var phonearray = checkPatientPhone();
	if ('NO' == phonearray[0].value) {
		return;
	} else {
		if (phonearray.length > 1) {
			jarray = jarray.concat(phonearray.slice(1));
		}
	}
	var locationarray = checkLocation();
	if ('NO' == locationarray[0].value) {
		return;
	} else {
		if (locationarray.length > 1) {
			jarray = jarray.concat(locationarray.slice(1));
		}
	}
    var zyrevisitarray = checkZyrevisit();
    if ('NO' == zyrevisitarray[0].value) {
        return;
    } else {
        if (zyrevisitarray.length > 1) {
            jarray = jarray.concat(zyrevisitarray.slice(1));
        }
    }
    var zypaymentarray = checkZypayment();
    if ('NO' == zypaymentarray[0].value) {
        return;
    } else {
        if (zypaymentarray.length > 1) {
            jarray = jarray.concat(zypaymentarray.slice(1));
        }
    }
    var zyscardarray = checkZysocialcard();
    if ('NO' == zyscardarray[0].value) {
        return;
    } else {
        if (zyscardarray.length > 1) {
            jarray = jarray.concat(zyscardarray.slice(1));
        }
    }
    var zyvcardarray = checkZyvisitcard();
    if ('NO' == zyvcardarray[0].value) {
        return;
    } else {
        if (zyvcardarray.length > 1) {
            jarray = jarray.concat(zyvcardarray.slice(1));
        }
    }
    var socialtypearray = checkSocialType();
    if ('NO' == socialtypearray[0].value) {
        return;
    } else {
        if (socialtypearray.length > 1) {
            jarray = jarray.concat(socialtypearray.slice(1));
        }
    }
    var socialcardarray = checkSocialCard();
    if ('NO' == socialcardarray[0].value) {
        return;
    } else {
        if (socialcardarray.length > 1) {
            jarray = jarray.concat(socialcardarray.slice(1));
        }
    }
    var addressarray = checkAddress();
    if ('NO' == addressarray[0].value) {
        return;
    } else {
        if (addressarray.length > 1) {
            jarray = jarray.concat(addressarray.slice(1));
        }
    }
	var accountarray = checkCardAccount();
	if ('NO' == accountarray[0].value) {
		return;
	} else {
		if (accountarray.length > 1) {
			jarray = jarray.concat(accountarray.slice(1));
		}
	}
	var passwordarray = checkCardPassword();
	if ('NO' == passwordarray[0].value) {
		return;
	} else {
		if (passwordarray.length > 1) {
			jarray = jarray.concat(passwordarray.slice(1));
		}
	}
	var diagnosearray = checkDiagnose();
	if ('NO' == diagnosearray[0].value) {
		return;
	} else {
		if (diagnosearray.length > 1) {
			jarray = jarray.concat(diagnosearray.slice(1));
		}
	}
    var hnrevisitarray = checkHnrevisit();
    if ('NO' == hnrevisitarray[0].value) {
        return;
    } else {
        if (hnrevisitarray.length > 1) {
            jarray = jarray.concat(hnrevisitarray.slice(1));
        }
    }
	var revisitarray = checkRevisit();
	if ('NO' == revisitarray[0].value) {
		return;
	} else {
		if (revisitarray.length > 1) {
			jarray = jarray.concat(revisitarray.slice(1));
		}
	}
	var diseasearray = checkDiseaseDesc();
	if ('NO' == diseasearray[0].value) {
		return;
	} else {
		if (diseasearray.length > 1) {
			jarray = jarray.concat(diseasearray.slice(1));
		}
	}
	var photoarray = checkDiseasePics();
	if ('NO' == photoarray[0].value) {
		return;
	}
    var paymentarray = checkPayment();
    if('NO' == paymentarray[0].value){
        return;
    } else {
        if(paymentarray.length > 1){
            jarray = jarray.concat(paymentarray.slice(1));
        }
    }
	var agreementCheck = document.getElementById('agree-check');
	if (false == agreementCheck.checked) {
		actionWithContent('alert-msg', '请阅读并同意百度医生用户协议!');
		agreementCheck.focus();
		return;
	}
	var keys = new Array();
	var values = new Array();
	for (var i = 0; i < jarray.length; i++) {
		keys.push(jarray[i].name);
		values.push(jarray[i].value);
	}
    
	jObj.keys = keys.join('@separator@');
	jObj.values = values.join('@separator@');
	jObj.query = '';
	var jstring = JSON.stringify(jObj);
	actionWithParas('submit-order', encodeURIComponent(jstring));
}
