/**
 * @file iOS/Android Patient cookies.js 
 * Created by lixu06 on 15/8/14. 
 * Copyright (c) 2015年 百度在线. All rights reserved.
 */
//全局变量，默认为false，用于判断是否使用webview自带cookie
var isLocalCookie = false;
function enableLocalCookie() {
	isLocalCookie = true;
}
// 设置cookie
function setDocumentCookie(name, value) {
	var Days = 30; // 此 cookie 将被保存 30 天
	var exp = new Date();
	exp.setTime(exp.getTime() + Days * 24 * 60 * 60 * 1000); // 毫秒
	document.cookie = name + '=' + encodeURIComponent(value) + ';expires='
			+ exp.toGMTString(); // encodeURIComponent
}
function setMetaCookie(name, value) {
	var cookieMeta = document.getElementById('cookieId');
	var cookieJson = cookieMeta.content;
	var jObj = JSON.parse(cookieJson);
	jObj[name] = encodeURIComponent(value);
	var jstring = JSON.stringify(jObj);
	cookieMeta.content = jstring;
	loadCookieToVC();
	return;
}
function setCookie(name, value) {
	if (false == isLocalCookie) {
		setDocumentCookie(name, value);
	} else {
		setMetaCookie(name, value);
	}
}
// 取cookies
function getDocumentCookie(name) {
	var arr = document.cookie
			.match(new RegExp('(^| )' + name + '=([^;]*)(;|$)'));
	if (arr == null) {
		return null;
	}
	return decodeURIComponent(arr[2]); // decodeURIComponent
}
function getMetaCookie(name) {
	var cookieMeta = document.getElementById('cookieId');
	var cookieJson = cookieMeta.content;
	var jObj = JSON.parse(cookieJson);
	return decodeURIComponent(jObj[name]);

}
function getCookie(name) {
	if (false == isLocalCookie) {
		return getDocumentCookie(name);
	} else {
		return getMetaCookie(name);
	}

}
// 清空Cookie
function clearDocumentCookie(name) {
	setDocumentCookie(name, '');
}
function clearMetaCookie(name) {
	var cookieMeta = document.getElementById('cookieId');
	var cookieJson = cookieMeta.content;
	var jObj = JSON.parse(cookieJson);
	delete jObj[name];
	var jstring = JSON.stringify(jObj);
	cookieMeta.content = jstring;
	loadCookieToVC();
}
function clearOrgCookie(name) {
	if (false == isLocalCookie) {
		clearDocumentCookie(name);
	} else {
		clearMetaCookie(name);
	}
}
// 初始化cookie 已经有就不设置
function initCookie(name, value) {
	var arr = document.cookie
			.match(new RegExp('(^| )' + name + '=([^;]*)(;|$)'));
	if (arr == null) {
		setCookie(name, value);
	}
}
// 用户输入时设置cookie
function inputCookie(name, id) {
	setCookie(name, getText(id));
}
// checkbox设置cookie false 未选中 true 选中
function setCheckCookie(id) {
	var elm = document.getElementById(id);
	setCookie(getCookieNameById(id), elm.checked);
	if (true == elm.checked) {
		setCookie(getCookieNameById(id), 'YES');
	} else {
		setCookie(getCookieNameById(id), 'NO');
	}
}
// checkbox文本点击改变状态，设置cookie
function checkClick(id) {
	var elm = document.getElementById(id);
	if (true === elm.checked) {
		elm.checked = false;
	} else {
		elm.checked = true;
	}
	setCheckCookie(id);
}
function getCookieNameById(id) {
	var index = id.indexOf('-');
	if (index > 0) {
		return id.substring(0, index) + id.substr(index + 1, 1).toUpperCase()
				+ id.substr(index + 2, id.length);
	}
	return id;
}
// 设置界面显示规则模块cookie
function setStyleCookieWithCookie() {
	setStyleCookie(getSolidString(getCookie('checkString')));
}
function setStyleCookie(styleString) {
    setCookie('checkString', styleString);
	setCookie('stylePatientName', '1101');
	setCookie('stylePatientPhone', '1201');
	setCookie('styleLocation', '1301');
	setCookie('styleCardAccount', '1401');
	setCookie('styleCardPassword', '1501');
	setCookie('styleDisease', '1601');
	setCookie('styleDiseasedesc', '1701');
	setCookie('styleRevisit', '1801');
	setCookie('stylePhoto', '1901');
	setCookie('styleSocialType', '2001');
	setCookie('styleSocialCard', '2101');
	setCookie('styleSocialAddress', '2201');
    setCookie('stylePayment', '2301');
    setCookie('styleZyrevisit', '2401');
    setCookie('styleZypayment', '2501');
    setCookie('styleZysocialcard', '2601');
    setCookie('styleZyvisitcard', '2701');
    setCookie('styleHnrevisit', '2901');
    
	var styleArr = styleString.split('#');
	for (var i = 1; i < styleArr.length; i++) {
		setFragmentCookie(styleArr[i]);
	}
}
function clearStyleCookie() {
	clearOrgCookie('checkString');
	clearOrgCookie('stylePatientName');
	clearOrgCookie('stylePatientPhone');
	clearOrgCookie('styleLocation');
	clearOrgCookie('styleCardAccount');
	clearOrgCookie('styleCardPassword');
	clearOrgCookie('styleDisease');
	clearOrgCookie('styleDiseasedesc');
	clearOrgCookie('styleRevisit');
	clearOrgCookie('stylePhoto');
	clearOrgCookie('styleSocialType');
	clearOrgCookie('styleSocialCard');
	clearOrgCookie('styleSocialAddress');
    clearOrgCookie('stylePayment');
    clearOrgCookie('styleZyrevisit');
    clearOrgCookie('styleZypayment');
    clearOrgCookie('styleZysocialcard');
    clearOrgCookie('styleZyvisitcard');
    clearOrgCookie('styleHnrevisit');
}
//    11 姓名
//    12 手机号
//    13 所在地区
//    14 就诊卡号
//    15 就诊密码
//    16 疾病
//    17 疾病描述
//    18 是否就诊过
//    19 图片
function setFragmentCookie(stylefrag) {
	if (true == isEmpty(stylefrag)) {
		return;
	}
	var index = stylefrag.substr(0, 2);
	if ('11' === index) {
		setCookie('stylePatientName', getSolidString(stylefrag));
		return;
	}
	if ('12' === index) {
		setCookie('stylePatientPhone', getSolidString(stylefrag));
		return;
	}
	if ('13' === index) {
		setCookie('styleLocation', getSolidString(stylefrag));
		return;
	}
	if ('14' === index) {
		setCookie('styleCardAccount', getSolidString(stylefrag));
		return;
	}
	if ('15' === index) {
		setCookie('styleCardPassword', getSolidString(stylefrag));
		return;
	}
	if ('16' === index) {
		setCookie('styleDisease', getSolidString(stylefrag));
		return;
	}
	if ('17' === index) {
		setCookie('styleDiseasedesc', getSolidString(stylefrag));
		return;
	}
	if ('18' === index) {
		setCookie('styleRevisit', getSolidString(stylefrag));
		return;
	}
	if ('19' === index) {
		setCookie('stylePhoto', getSolidString(stylefrag));
		return;
	}
	if ('20' === index) {
		setCookie('styleSocialType', getSolidString(stylefrag));
		return;
	}
	if ('21' === index) {
		setCookie('styleSocialCard', getSolidString(stylefrag));
		return;
	}
	if ('22' === index) {
		setCookie('styleSocialAddress', getSolidString(stylefrag));
		return;
	}
    if ('23' === index) {
        setCookie('stylePayment', getSolidString(stylefrag));
        return;
    }
    if ('24' === index) {
        setCookie('styleZyrevisit', getSolidString(stylefrag));
        return;
    }
    if ('25' === index) {
        setCookie('styleZypayment', getSolidString(stylefrag));
        return;
    }
    if ('26' === index) {
        setCookie('styleZysocialcard', getSolidString(stylefrag));
        return;
    }
    if ('27' === index) {
        setCookie('styleZyvisitcard', getSolidString(stylefrag));
        return;
    }
    if ('29' === index) {
        setCookie('styleHnrevisit', getSolidString(stylefrag));
        return;
    }

}
// 设置登录信息cookie
function setLoginCookie(jsonstr) {
	var jObj = JSON.parse(jsonstr);
	setCookie('loginState', getSolidString(jObj.loginState));
	setCookie('userId', getSolidString(jObj.userId));
	var userId = getSolidString(jObj.userId);
	var orgUserId = getSolidString(getCookie('orgUserId'));
	if ('' === orgUserId) {
		setCookie('orgUserId', getSolidString(userId));
	} else {
		if ('' != userId && userId != orgUserId) {
			clearPatientCookie();
			setCookie('orgUserId', getSolidString(userId));
		}
	}
}
function clearLoginCookie() {
	clearOrgCookie('loginState');
	clearOrgCookie('userId');
}
//清除医生信息cookie
function clearDoctorCookie() {
	clearOrgCookie('doctorJson');
}
// 初始化就诊人cookie
function initPatientCookie(jsonstr) {
	var jObj = JSON.parse(jsonstr);
	var patientid = getCookie('patientId');
	var patientiden = getCookie('patientIdentification');
	if (true == isEmpty(patientid) && true == isEmpty(patientiden)) {
		setCookie('patientName', getSolidString(jObj.name));
		setCookie('patientPhone', getSolidString(jObj.phone));
		setCookie('patientPhoneOrg', getSolidString(jObj.phone));
		setCookie('patientId', getSolidString(jObj.id));
		setCookie('patientIdentification', getSolidString(jObj.identification));
	}
}
// 设置就诊人cookie
function setPatientCookie(jsonstr) {
	var jObj = JSON.parse(jsonstr);
	setCookie('patientName', getSolidString(jObj.name));
	setCookie('patientPhone', getSolidString(jObj.phone));
	setCookie('patientPhoneOrg', getSolidString(jObj.phone));
	setCookie('patientId', getSolidString(jObj.id));
	setCookie('patientIdentification', getSolidString(jObj.identification));
}
// 清除就诊人cookie
function clearPatientCookie() {
	clearOrgCookie('patientName');
	clearOrgCookie('patientPhone');
	clearOrgCookie('patientPhoneOrg');
	clearOrgCookie('patientId');
	clearOrgCookie('patientIdentification');
}
// 初始化地理位置信息
function initLocationCookie(jsonstr) {
	var jObj = JSON.parse(jsonstr);
	var locationProvinceId = getCookie('locationProvinceid');
	var locationCityId = getCookie('locationCityid');
	var locationProvince = getCookie('locationProvince');
	var locationCity = getCookie('locationCity');
	if (true == isEmpty(locationProvinceId) && true == isEmpty(locationCityId)
			&& true == isEmpty(locationProvince)
			&& true == isEmpty(locationCity)) {
		setCookie('locationProvinceid', getSolidString(jObj.provId));
		setCookie('locationCityid', getSolidString(jObj.cityId));
		setCookie('locationProvince', getSolidString(jObj.provName));
		setCookie('locationCity', getSolidString(jObj.cityName));
	}
}
// 设置地理位置信息cookie
function setLocationCookie(jsonstr) {
	var jObj = JSON.parse(jsonstr);
	setCookie('locationProvinceid', getSolidString(jObj.provId));
	setCookie('locationCityid', getSolidString(jObj.cityId));
	setCookie('locationProvince', getSolidString(jObj.provName));
	setCookie('locationCity', getSolidString(jObj.cityName));
}
// 清除地理位置cookie
function clearLocationCookie() {
	clearOrgCookie('locationString');
	clearOrgCookie('locationProvinceid');
	clearOrgCookie('locationCityid');
	clearOrgCookie('locationProvince');
	clearOrgCookie('locationCity');
}
// 清除就诊卡cookie
function clearCardCookie() {
	clearOrgCookie('cardPassword');
	clearOrgCookie('cardAccount');
}
// 清除疾病历史cookie
function clearHistoryCookie() {
	clearOrgCookie('diagnoseText');
	clearOrgCookie('revisitState');
}
// 设置疾病图片路径cookie
function setDiseasePicCookie(jsonstr) {
	setCookie('diseasePicarray', getSolidString(jsonstr));
}
// 加载cookie pics到vc
function loadDiseasePicCookie() {
    var styleString = getSolidString(getCookie('stylePhoto')).substr(2, 2);
    if ('01' === styleString) {
        var emptyArr = new Array();
        setCookie('diseasePicarray',JSON.stringify(emptyArr));
        return;
    }
	actionWithContent('load-photocookie',
			getSolidString(getCookie('diseasePicarray')));
}
// 清除疾病历史cookie
function clearDiseaseCookie() {
	clearOrgCookie('diseaseText');
	clearOrgCookie('diseasePicarray');
}
// 清除重选医生cookie
function clearAptCookie() {
	clearOrgCookie('aptId');
}
// 清除医保卡信息
function clearSocialCookie() {
	clearOrgCookie('socialType');
	clearOrgCookie('socialCard');
	clearOrgCookie('socialAddress');
}
// 清除助医网信息
function clearZyCookie() {
    clearOrgCookie('zyrevisitState');
    clearOrgCookie('zypaymentState');
    clearOrgCookie('zysocialCard');
    clearOrgCookie('zyvisitCard');
}
// 清除支付cookie
function clearPaymentCookie() {
    clearOrgCookie('paymentState');
}
// 清除河南挂号网cookie
function clearHnCookie() {
    clearOrgCookie('hnrevisitState');
}
function clearCookie() {
	clearAptCookie();
	clearStyleCookie();
	clearLoginCookie();
	clearDoctorCookie();
	clearPatientCookie();
	clearLocationCookie();
	clearCardCookie();
	clearHistoryCookie();
	clearDiseaseCookie();
	clearSocialCookie();
    clearPaymentCookie();
    clearZyCookie();
    clearHnCookie();
}
// 加载cookie到vc
function loadCookieToVC() {
	var cookieMeta = document.getElementById('cookieId');
	var cookieJson = cookieMeta.content;
	var jObj = JSON.parse(cookieJson);
	delete jObj.doctorJson;
	var jstring = JSON.stringify(jObj);
	actionWithParas('load-cookie', encodeURIComponent(jstring));
}
// 加载cookie到vc
function setCookieToMeta(jsonstr) {
	var cookieMeta = document.getElementById('cookieId');
	cookieMeta.content = jsonstr;
}