/**
 * @file iOS/Android Patient organizers.js
 * Created by lixu06 on 15/8/14.
 * Copyright (c) 2015年 百度在线. All rights reserved.
 */
// *********** 版本信息 ****************
var testHaodaifu = 0;
var isProductApp = true;
var isNativeZip = false;
var timeStamp = '2015-03-16 15:47';
var mainVersion = '1.4.0';
function setProductApp(isApp) {
    isProductApp = isApp;
}
function setServerZip(isServer) {
    isNativeZip = !isServer;
}
function updateVersion(){
    if(!isProductApp){
        if(isNativeZip){
            setText('version-edit','Web Version ' + mainVersion + ' ' + timeStamp + ' Org');
        } else {
            setText('version-edit','Web Version ' + mainVersion + ' '+ timeStamp);
        }
        setVisible('version-control');
    }
}
// *********** 医生信息 ****************
// 使用json string更新医生信息
function updateDoctor(orgJsonstr) {
    var jsonstr = flipDoctorString(orgJsonstr);
    localTest(jsonstr);
    setCookie('doctorJson', getSolidString(jsonstr));
    var jObj = JSON.parse(jsonstr);
    setImg('doctor-img', jObj.avatar);
    setText('doctor-name', jObj.name);
    if (true == isEmpty(jObj.isVerify) || 0 >= jObj.isVerify) {
        setGone('verify-img');
    } else {
        setVisible('verify-img');
    }
    setText('doctor-title', getSolidString(jObj.medTitle) + '  '
            + getSolidString(jObj.eduTitle));
    setText('hospital-office', getSolidString(jObj.hospitalName) + '  '
            + getSolidString(jObj.departName));
    if(!isEmpty(getSolidString(jObj.defaultDesc))){
        setText('disease-hint', getSolidString(jObj.defaultDesc));
    }
    if('中日友好医院' === getSolidString(jObj.hospitalName)){
        setVisible('payment-alert');
        setVisible('pay-append-1');
    }
    if(!isEmpty(getSolidString(jObj.displayHaodaifu))){
        testHaodaifu = jObj.displayHaodaifu;
    }
    var clinicType = getSolidString(jObj.orderData.clinicType);
    var clinicPrice = getSolidString(jObj.orderData.clinicPrice);
    if(!isEmpty(getSolidString(jObj.orderData.clinicPrice))){
        if(0 == jObj.orderData.clinicPrice){
            clinicPrice = '';
        } else{
            clinicPrice = '' + (jObj.orderData.clinicPrice/1.0).toFixed(2) + '元';
        }
    }
    
    if(isEmpty(clinicPrice) && isEmpty(clinicType)){
        setGone('clinic-control');
    } else {
        if(isEmpty(clinicType)){
            setText('clinic-lable','挂号费用');
            setText('clinic-edit', clinicPrice);
        } else {
            setText('clinic-lable', '门诊类型');
            setText('clinic-edit', clinicType + '  ' + clinicPrice);
        }
        setColor('clinic-edit','F5A623');
        setVisible('clinic-control');
    }
    if(isEmpty(getSolidString(jObj.orderData.timeText))){
        setText('schedule-edit', getSolidString(jObj.orderData.treatTimeAll));
    } else {
        setText('schedule-edit', getSolidString(jObj.orderData.treatTimeAll) + ' ' + getSolidString(jObj.orderData.timeText));
    }
    
    setVisible('schedule-control');
    
    setVisible('appoint-control');
    setVisible('doctor-control');
}
// *********** 更新所有可变模块 ****************
function updateAllFragments() {
    setOverflowScroll('order-frame','y');
    setOverflowScroll('order-content','y');
    setOverflowScroll('photo-frame','x');
    if (!isEmpty(getCookie('checkString'))) {
		setStyleCookie(getCookie('checkString'));
	}
    updateVersion();
	if (!isEmpty(getCookie('doctorJson'))) {
		updateDoctor(getCookie('doctorJson'));
	}
	if (!isEmpty(getCookie('loginString'))) {
		setLoginCookie(getCookie('loginString'));
	}
	if (!isEmpty(getCookie('patientString'))) {
		initPatientCookie(getCookie('patientString'));
	}
	if (!isEmpty(getCookie('locationString'))) {
		initLocationCookie(getCookie('locationString'));
	}
	updatePatientName();
	updatePatientPhone();
	updateLocation();
	updateCardAccount();
	updateCardPassword();
	updateDiagnose();
	updateRevisit();
    updateHnrevisit();
	updateDiseaseDesc();
	updateDiseasePic();
	updateSocialType();
	updateSocialCard();
	updateSocialAddress();
    updateZyrevisit();
    updateZypayment();
    updateZycard();
    updatePayment();
    updateSubmit();
    hideAllAlertsSheets();
    firstSlertMessage();
    
}
function firstSlertMessage(){
    var styleString = getSolidString(getCookie('styleZyrevisit')).substr(2, 2);
    if('08' === styleString){
        setText('dialog-title','提示');
        setText('dialog-content','为确保在医院顺利就医,<br>仅接受在该医院就诊过的患者<br>进行预约挂号');
        setText('dialog-cancel','知道了');
        showAlertDialog('confirm-dialog');
    }
}
function hideAllAlertsSheets() {
    setGone('socialtype-sheet');
    setGone('confirm-dialog');
}
function setFragmentsDisabled() {
	var pacElm = document.getElementById('patient-control');
	pacElm.style.backgroud = '#fff';
	pacElm.onclick = function() {
		patientClick();
	}
	var paeElm = document.getElementById('patient-edit');
	paeElm.disabled = false;

	var pocElm = document.getElementById('phone-control');
	pocElm.style.backgroud = '#fff';

	var poeElm = document.getElementById('patient-edit');
	poeElm.oninput = function() {
		limitCount('phone-edit', 11);
		inputCookie('patientPhone', 'phone-edit');
	}
}
function setFragmentsEnabled() {
	if (!isEmpty(getSolidString(getCookie('aptId')))) {
		setDisabled('patient-control');
		setDisabled('patient-edit');
		setDisabled('phone-control');
		setDisabled('phone-edit');
	}
}
// *********** 就诊人 ****************
function updatePatientWithNewCookie(jsonstr) {
	setPatientCookie(jsonstr);
	updatePatientName();
	updatePatientPhone();
	if (!isEmpty(getSolidString(getCookie('aptId')))) {
		if (isEmpty(getSolidString(getCookie('patientName')))) {
			setFragmentsDisabled();
		} else {
			setFragmentsEnabled();
		}
	}
}
function updatePatientWithInitCookie(jsonstr) {
	initPatientCookie(jsonstr);
	updatePatientName();
	updatePatientPhone();
}
function updatePatientName() {
    localTest('updatePatientName');
	var styleString = getSolidString(getCookie('stylePatientName'))
			.substr(2, 2);
	if ('01' === styleString) {
		setGone('patient-control');
		return;
	} else {
		setVisible('patient-control');
	}
	var patientid = getCookie('patientId');
	if ('NO' == getCookie('loginState')) {
		if (false == isEmpty(patientid)) {
			clearPatientCookie();
		}
	}
	if (isEmpty(getSolidString(getCookie('patientName')))) {
		setGone('patient-edit');
		setVisible('patient-add');
		setImg('patient-next', 'images/icon_go@2x.png');
	} else {
		setVisible('patient-edit');
		setGone('patient-add');
		setImg('patient-next', 'images/icon_go@2x.png');
	}
	setText('patient-edit', getSolidString(getCookie('patientName')));
}
function updatePatientPhone() {
    localTest('updatePatientPhone');
	var styleString = getSolidString(getCookie('stylePatientPhone')).substr(2,
			2);
	if ('01' === styleString) {
		setGone('phone-control');
		return;
	}
	if (true == isEmpty(getCookie('patientPhone'))) {
		setGone('phone-control');
	} else {
		setVisible('phone-control');
	}
	setText('phone-edit', getSolidString(getCookie('patientPhone')));
}
// 选择就诊人
function patientClick() {
	var jObj = {};
	jObj.name = getSolidString(getCookie('patientName'));
	jObj.phone = getSolidString(getCookie('patientPhone'));
	jObj.id = getSolidString(getCookie('patientId'));
	jObj.identification = getSolidString(getCookie('patientIdentification'));
	var jstring = JSON.stringify(jObj);
	actionWithParas('select-patient', jstring);
}
// *********** 位置信息 ****************
function updateLocationWithNewCookie(jsonstr) {
	setLocationCookie(jsonstr);
	updateLocation();
}
// 使用cookie更新地理位置信息
function updateLocation() {
    localTest('updateLocation');
	var styleString = getSolidString(getCookie('styleLocation')).substr(2, 2);
	if ('01' === styleString) {
		setGone('location-control');
		return;
	} else {
		setVisible('location-control');
	}
    if(false == filterLocation()){
        clearLocationCookie();
        setCookie('locationProvinceid', '1');
        setCookie('locationCityid', '1');
        setCookie('locationProvince','北京');
        setCookie('locationCity','北京');
    }
	setText('location-edit', getSolidString(getCookie('locationCity')));
}
// 加载cookie到点击位置
function selectLocation() {
	var jObj = {};
	jObj.provId = getSolidString(getCookie('locationProvinceid'));
	jObj.cityId = getSolidString(getCookie('locationCityid'));
	jObj.provName = getSolidString(getCookie('locationProvince'));
	jObj.cityName = getSolidString(getCookie('locationCity'));
	var jstring = JSON.stringify(jObj);
	actionWithParas('select-location', jstring);
}
// *********** 就诊卡 ****************
// 使用cookie更新就诊卡
function updateCardAccount() {
    localTest('updateCardAccount');
	var styleString = getSolidString(getCookie('styleCardAccount'))
			.substr(2, 2);
	if ('01' === styleString) {
		setGone('account-control');
		return;
	} else {
		setVisible('account-control');
	}
	if ('02' === styleString) {
		setHint('account-edit', '若有就诊卡号,请填写');
	}
	if ('03' === styleString) {
		setHint('account-edit', '请务必填写就诊卡号');
	}
	setText('account-edit', getSolidString(getCookie('cardAccount')));
}
function updateCardPassword() {
    localTest('updateCardPassword');
	var styleString = getSolidString(getCookie('styleCardPassword')).substr(2,
			2);
	if ('01' === styleString) {
		setGone('password-control');
		return;
	} else {
		setVisible('password-control');
	}
	setText('password-edit', getSolidString(getCookie('cardPassword')));
}
// *********** 疾病历史 ****************
// 使用cookie更新疾病历史
function updateDiagnose() {
    localTest('updateDiagnose');
	var styleString = getSolidString(getCookie('styleDisease')).substr(2, 2);
	if ('01' === styleString) {
		setGone('diagnose-control');
		return;
	} else {
		setVisible('diagnose-control');
	}
	setText('diagnose-edit', getSolidString(getCookie('diagnoseText')));
}
function updateRevisit() {
    localTest('updateRevisit');
	var styleString = getSolidString(getCookie('styleRevisit')).substr(2, 2);
	if ('01' === styleString) {
		setGone('revisit-control');
		return;
	} else {
        setPosition('revisit-frame','180','left');
		setVisible('revisit-control');
	}
	if (true == isEmpty(getSolidString(getCookie('revisitState')))) {
		setRadio('revisit', '0');
		return;
	}
	setRadio('revisit', getSolidString(getCookie('revisitState')));
}
// *********** 疾病描述 ****************
function updateDiseaseDesc() {
    localTest('updateDiseaseDesc');
	var styleString = getSolidString(getCookie('styleDiseasedesc'))
			.substr(2, 2);
	if ('01' === styleString) {
		setGone('disease-control');
		return;
	} else {
		setVisible('disease-control');
	}
	setText('disease-edit', getSolidString(getCookie('diseaseText')));
	refreshHint('disease-edit', 'disease-hint');
	refreshWordCount('disease-edit', 'disease-num', 300);
}
// *********** 疾病图片 ****************
function updateDiseasePicWithNewCookie(jsonstr) {
	var jstring = decodeURIComponent(jsonstr);
	setDiseasePicCookie(jstring);
	updateDiseasePic();
}
function updateDiseasePic() {
    localTest('updateDiseasePic');
	var styleString = getSolidString(getCookie('stylePhoto')).substr(2, 2);
	if ('01' === styleString) {
        var emptyArr = new Array();
		setGone('photo-control');
        actionWithContent('load-photocookie',
                          getSolidString(JSON.stringify(emptyArr)));
		return;
	} else {
		setVisible('photo-control');
	}
	var picstring = decodeURIComponent(getSolidString(getCookie('diseasePicarray')));
	if ('' == picstring) {
		setVisible('photo-alert');
		setGone('photo-list');
		return;
	}
	var pArr = JSON.parse(picstring);
	if (0 == pArr.length) {
		setVisible('photo-alert');
		setGone('photo-list');
		return;
	}
	setGone('photo-alert');
	setVisible('photo-list');
	var cellid;
	for (var i = 0; i < pArr.length; i++) {
		cellid = 'photo-cell-' + (i + 1);
		setVisible(cellid);
		setImg(cellid, pArr[i].smallImg);
	}
	if (i <= 4) {
		cellid = 'photo-cell-' + (i + 1);
		setVisible(cellid);
		setImg(cellid, 'images/fill_reserve_inform_add_pic@2x.png');
		for (i++; i < 5; i++) {
			cellid = 'photo-cell-' + (i + 1);
			setGone(cellid);
			setImg(cellid, 'images/fill_reserve_inform_add_pic@2x.png');
		}
	}
}
// 图片点击
function photoCellClick(index) {
	var pid = 'photo-cell-' + index;
	var elm = document.getElementById(pid);
	var src = elm.src;
	var pos = src.lastIndexOf('/');
	if ('fill_reserve_inform_add_pic@2x.png' == src.substring(pos + 1)) {
		actionWithContent('choose-photo', '');
	} else {
		actionWithContent('show-photo', index);
	}
}
// *********** 付款信息 ****************
// 使用cookie更新付款信息
function updatePayment(){
    localTest('updatePayment');
    var styleString = getSolidString(getCookie('stylePayment')).substr(2,2);
    if('01' === styleString ){
        setGone('payment-control');
        return;
    } else {
        setPosition('payment-frame','90','left');
        if('04' === styleString){
            setGone('payment-edit');
            setVisible('payment-frame');
            setVisible('paymentcell-2');
            setVisible('paymentcell-1');
            setRadio('payment','1');
            setVisible('payment-radio');
            setVisible('payment-control');
        } else if('05' === styleString){
            setVisible('payment-edit');
            setText('payment-edit', '仅支持在线支付');
            setGone('payment-frame');
            setGone('paymentcell-2');
            setVisible('paymentcell-1');
            setRadio('payment','1');
            setVisible('payment-radio');
            setVisible('payment-control');
        } else if('06' === styleString){
            setVisible('payment-edit');
            setText('payment-edit', '仅支持到医院付');
            setGone('payment-frame');
            setVisible('paymentcell-2');
            setGone('paymentcell-1');
            setRadio('payment','2');
            setVisible('payment-radio');
            setGone('payment-control');
        }
    }
}
// ************ 医保信息 ********************
function updateSocialTypeWithCookie(jsonstr) {
    var json = JSON.parse(jsonstr);
    if(!isEmpty(getSolidString(json.typeIndex))){
        setCookie('socialType',json.typeIndex);
        updateSocialType();
    }
}
function updateSocialType() {
    localTest('updateSocialType');
	var styleString = getSolidString(getCookie('styleSocialType')).substr(2, 2);
	if ('01' === styleString) {
		setGone('social-control');
		return;
	} else {
		setVisible('social-control');
	}
    var socialType = getSolidString(getCookie('socialType'));
    if (isEmpty(socialType)) {
        setText('social-edit', '');
        setVisible('social-add');
        setImg('social-next', 'images/icon_go@2x.png');
        setText('social-edit', '');
        updateSocialCard();
    } else {
        setVisible('social-edit');
        setGone('social-add');
        setImg('social-next', 'images/icon_go@2x.png');
        if ('0' == socialType) {
            setText('social-edit', '省医保');
        }else if ('1' == socialType){
            setText('social-edit', '市医保');
        }else if ('2' == socialType){
            setText('social-edit', '市民卡');
        }else if ('3' == socialType){
            setText('social-edit', '农保');
        }
        updateSocialCard();
    }
}
function updateSocialCard() {
    localTest('updateSocialCard');
	var styleString = getSolidString(getCookie('styleSocialCard')).substr(2, 2);
	if ('01' === styleString) {
		setGone('scard-control');
		return;
	} else {
		setVisible('scard-control');
	}
    if ('02' === styleString) {
        setHint('scard-edit', '选填');
    } else if ('03' === styleString) {
        setHint('scard-edit', '必填');
    }
    if(isEmpty(getSolidString(getCookie('socialType')))){
        setGone('scard-control');
        return;
    } else{
        setVisible('scard-control');
    }
	setText('scard-edit', getSolidString(getCookie('socialCard')));
}
function updateSocialAddress() {
    localTest('updateSocialAddress');
	var styleString = getSolidString(getCookie('styleSocialAddress')).substr(2,
			2);
	if ('01' === styleString) {
		setGone('address-control');
		return;
	} else {
		setVisible('address-control');
	}
    if ('02' === styleString) {
        setHint('address-edit', '选填');
    } else if ('03' === styleString) {
        setHint('address-edit', '必填');
    }
	setText('address-edit', getSolidString(getCookie('socialAddress')));
}
function socialCardTypeClick(){
    var array = new Array();
    array.push(getJSONObject('省医保', 0));
    array.push(getJSONObject('市医保', 1));
    array.push(getJSONObject('市民卡', 2));
    array.push(getJSONObject('农保'  , 3));
    var jObj = {};
    jObj.title = '选择医保卡号';
    jObj.array = array;
    jObj.cancel = '取消';
    jObj.callback = 'updateSocialTypeWithCookie';
    actionWithParas('select-commontype',JSON.stringify(jObj));
}
// *********** 助医网 ****************
// 使用cookie更新是否在该医院就诊
function updateZyrevisit() {
    localTest('updateZyrevisit');
    var styleString = getSolidString(getCookie('styleZyrevisit')).substr(2, 2);
    if ('01' === styleString) {
        setGone('zyrevisit-control');
        return;
    } else {
        setPosition('zyrevisit-frame','140','left');
        setSize('zyrevisitcell-0','65px','width');
        setSize('zyrevisitcell-1','65px','width');
        if ('07' === styleString){
            setVisible('zyrevisit-control');
        } else if ('08' === styleString){
            setRadio('zyrevisit','1');
            setGone('zyrevisitcell-0');
            setGone('zyrevisit-control');
        } else if ('09' === styleString) {
            setGone('zyrevisit','0');
            setGone('zyrevisitcell-1');
            setVisible('zyrevisit-control');
        }
    }
    if (true == isEmpty(getSolidString(getCookie('zyrevisitState')))) {
        return;
    }
    setRadio('zyrevisit', getSolidString(getCookie('zyrevisitState')));
}
// 使用cookie更新缴费类型
function updateZypayment() {
    localTest('updateZypayment');
    var styleString = getSolidString(getCookie('styleZypayment')).substr(2, 2);
    if ('01' === styleString) {
        setGone('zypayment-control');
        return;
    } else {
        setPosition('zypayment-frame','140','left');
        setSize('zypaymentcell-1','65px','width');
        setSize('zypaymentcell-2','65px','width');
        setVisible('zypayment-control');
    }
    if (true == isEmpty(getSolidString(getCookie('zypaymentState')))) {
        return;
    }
    setRadio('zypayment', getSolidString(getCookie('zypaymentState')));
}
function updateZycard(){
    updateZyvisitcard();
    updateZysocialcard();
}
function updateZysocialcard(){
    localTest('updateZysocialcard');
    var styleString = '01';
    var visitState = getSolidString(getCookie('zyrevisitState'));
    var payState = getSolidString(getCookie('zypaymentState'));
    var visitStyle = getSolidString(getCookie('styleZyrevisit')).substr(2, 2);
    var payStyle = getSolidString(getCookie('styleZypayment')).substr(2, 2);
    if('01' != visitStyle && '01' != payStyle ){
        if(isEmpty(visitState) || isEmpty(payState)){
            styleString = '01';
        } else{
            if(payState === '1'){
                styleString = '03';
            } else {
                styleString = '01';
            }
        }
    }
    var numString = getSolidString(getCookie('styleZysocialcard')).substr(0, 2);
    setCookie('styleZysocialcard', numString+styleString);
    if ('01' === styleString) {
        setGone('zyscard-control');
        return;
    } else {
        setVisible('zyscard-control');
    }
    if ('02' === styleString) {
        setHint('zyscard-edit', '选填');
    } else if ('03' === styleString) {
        setHint('zyscard-edit', '必填');
    }
    setText('zyscard-edit', getSolidString(getCookie('zysocialCard')));
}
function updateZyvisitcard(){
    localTest('updateZyvisitcard');
    var styleString = '01';
    var visitState =getSolidString(getCookie('zyrevisitState'));
    var payState =getSolidString(getCookie('zypaymentState'));
    var visitStyle = getSolidString(getCookie('styleZyrevisit')).substr(2, 2);
    var payStyle = getSolidString(getCookie('styleZypayment')).substr(2, 2);
    if('01' != visitStyle && '01' != payStyle ){
        if(isEmpty(visitState) || isEmpty(payState)){
            setGone('zyvcard-control');
            styleString = '01';
        } else{
            if(payState === '2'){
                if('1' === visitState){
                    styleString = '03';
                } else if('0' === visitState) {
                    styleString = '02';
                }
            } else {
                styleString = '01';
            }
        }
    }
    var numString = getSolidString(getCookie('styleZyvisitcard')).substr(0, 2);
    setCookie('styleZyvisitcard', numString+styleString);
    if ('01' === styleString) {
        setGone('zyvcard-control');
        return;
    } else {
        setVisible('zyvcard-control');
    }
    if ('02' === styleString) {
        setHint('zyvcard-edit', '选填');
    } else if ('03' === styleString) {
        setHint('zyvcard-edit', '必填');
    }
    setText('zyvcard-edit', getSolidString(getCookie('zyvisitCard')));
}
// *********** 河南挂号平台 ****************
// 使用cookie更新是否在该医院就诊
function updateHnrevisit() {
    localTest('updateHnrevisit');
    var styleString = getSolidString(getCookie('styleHnrevisit')).substr(2, 2);
    if ('01' === styleString) {
        setGone('hnrevisit-control');
        return;
    } else {
        setPosition('hnrevisit-frame','140','left');
        setVisible('hnrevisit-control');
    }
    if (true == isEmpty(getSolidString(getCookie('hnrevisitState')))) {
        return;
    }
    setRadio('hnrevisit', getSolidString(getCookie('hnrevisitState')));
}
// *********** 提交预约单 ****************
// 使用cookie更新模块
function updateSubmit() {
    localTest('updateSubmit');
	setVisible('submit-control');
    setVisible('agree-cell');
	var agreeCheck = getSolidString(getCookie('agreeCheck'));
	if ('NO' == agreeCheck) {
		document.getElementById('agree-check').checked = false;
	} else {
		document.getElementById('agree-check').checked = true;
	}
}