/**
 * @file iOS/Android Patient tools.js
 * Created by lixu06 on 15/8/14.
 * Copyright (c) 2015年 百度在线. All rights reserved.
 */
// 删除左右两端的空格
String.prototype.trim = function() {
    return this.replace(/(^\s*)|(\s*$)/g, '');
}
// 判断字段是否为空： undefined null ''
function isEmpty(value) {
    var chain = '' + value;
    if ('undefined' == chain || 'null' == chain || '' == chain) {
        return true;
    }
    return false;
}
function isHidden(id){
    var elm = document.getElementById(id);
    var displayStyle = ''+elm.style.display;
    if('none' === displayStyle){
        return true;
    }
    return false;
}
// 空字段返回空字符串 ''; 非空返回自己
function getSolidString(value) {
    if (true == isEmpty(value)) {
        return '';
    }
    return value;
}
// 设置overflow scroll
function setOverflowScroll(id,type){
    var elm = document.getElementById(id);
    if('x' === type){
        if(androidApiLevel >= 11){
            elm.style.overflowX = 'auto';//scroll
            return;
        } else {
            elm.style.overflowX = '';
            return;
        }
    }
    if('y' === type){
        if(androidApiLevel >= 11){
            elm.style.overflowY = 'auto';//scroll
            return;
        } else {
            elm.style.overflowY = '';
            return;
        }
    }
}
// 设置overflow hidden
function setOverflowHidden(id,type){
    var elm = document.getElementById(id);
    if('x' == type){
        elm.style.overflowX = 'hidden';
        return;
    }
    if('y' == type){
        elm.style.overflowY = 'hidden';
        return;
    }
}
// 设置hint
function setHint(id, hint) {
    var elm = document.getElementById(id);
    elm.placeholder = hint;
}
// 设置color
function setColor(id, color) {
    var elm = document.getElementById(id);
    elm.style.color = '#'+color;
}
// 设置focus
function setFocus(id) {
//    document.getElementById(id).focus();;
}
function refreshHint(id, hintid) {
    var elm = document.getElementById(id);
    var value = elm.value;
    if (0 == elm.value.length) {
        setVisible(hintid);
    } else {
        setGone(hintid);
    }
}
// 隐藏标签 'none' 'block'
function setGone(id) {
    var elm = document.getElementById(id);
    elm.style.display = 'none';
}
// 显示标签
function setVisible(id) {
    var elm = document.getElementById(id);
    elm.style.display = 'block';
}
// 设置image标签的src url
function setImg(id, iurl) {
    var elm = document.getElementById(id);
    elm.src = iurl;
}
// 设置文本（input、span textarea）
function setText(id, value) {
    var elm = document.getElementById(id);
    if ('SPAN' == elm.nodeName) {
        elm.innerHTML = value;
        return;
    }
    if ('INPUT' == elm.nodeName || 'TEXTAREA' == elm.nodeName) {
        elm.value = value;
        return;
    }
}
function getText(id) {
    var elm = document.getElementById(id);
    if ('SPAN' == elm.nodeName) {
        return elm.innerHTML;
    }
    if ('INPUT' == elm.nodeName || 'TEXTAREA' == elm.nodeName) {
        return elm.value;
    }
}
// 设置radio状态
function setRadio(name, state) {
    if (false == isEmpty(state)) {
        setCookie(name + 'State', state);
        document.getElementById(name + '-' + state).checked = true;
    }
}
// 设置输入字符只能是数字
function limitNum(id, e) {
    var elm = document.getElementById(id);
    var k = window.event ? e.keyCode : e.which;
    if (((48 >= k) && (57 >= k)) || 8 == k || 0 == k || 13 == k) {
    } else {
        var elm = document.getElementById(id);
        elm.value = elm.value.replace(/[^\d]/g, '');
        if (window.event) {
            window.event.returnValue = false;
        } else {
            e.preventDefault(); //for firefox
        }
    }
}
// 设置输入字符限制位数
function limitCount(id, maxlimit) {
    var elm = document.getElementById(id);
    if (elm.value.length > maxlimit) {
        elm.value = elm.value.substring(0, maxlimit);
    }
}
function limitCountWithAlert(id, maxlimit, alertStr) {
    var elm = document.getElementById(id);
    if (elm.value.length > maxlimit) {
        elm.value = elm.value.substring(0, maxlimit);
        actionWithContent('alert-msg', alertStr);
    }
}
// 刷新剩余字数
function refreshWordCount(textid, wordid, maxlimit) {
    var elm = document.getElementById(wordid);
    var target = document.getElementById(textid);
    elm.innerHTML = maxlimit - target.value.length + '字';
}
// 获取一个json 对象
function getJSONObject(jname, jvalue) {
    var jObj = {};
    jObj.name = jname;
    jObj.value = jvalue;
    return jObj;
}
// 设置模块不可用
function setDisabled(id) {
    var elm = document.getElementById(id);
    if ('SPAN' == elm.nodeName || 'DIV' == elm.nodeName) {
        elm.onclick = null;
        elm.style.background = '#f5f5f5';
    }
    if ('INPUT' == elm.nodeName || 'TEXTAREA' == elm.nodeName) {
        elm.disabled = true;
    }
}
// 设置透明度
function setOpacity(id, args) {
    if (args > 1)
        args = 1;
    if (args < 0)
        args = 0;
    document.getElementById(id).style.opacity = args;
}
function setSize(id, args, type) {
    if('height' === type){
        document.getElementById(id).style.height = args;
    } else if ('width' === type) {
        document.getElementById(id).style.width = args;
    }
}
function setPosition(id, args, type){
    if('top' == type){
        document.getElementById(id).style.top = args+'px';
    } else if ('left' == type) {
        document.getElementById(id).style.left = args+'px';
    } else if ('bottom' == type) {
        document.getElementById(id).style.bottom = args+'px';
    } else if ('right' == type) {
        document.getElementById(id).style.right = args+'px';
    }
}
function colorSelector(id, color) {
    var elm = document.getElementById(id);
    elm.style.background = '#' + color;
}
//设置框架高度 定长
function setAvailHeightFrame(){
    setSize('order-frame',  ''+(window.screen.availHeight - 44)+'px','height');
    setSize('order-content',''+(window.screen.availHeight - 44)+'px','height');
    setSize('order-shadow', ''+(window.screen.availHeight - 44)+'px','height');
    setOverflowHidden('order-frame','y');
    setOverflowHidden('order-content','y');
}
//设置框架高度 满屏
function setFullWindowFrame(){
    setSize('order-frame','100%','height');
    setSize('order-content','100%','height');
    setSize('order-shadow','100%','height');
    setOverflowScroll('order-frame','y');
    setOverflowScroll('order-content','y');
}
function showShadow() {
    setAvailHeightFrame();
    setOpacity('order-shadow', 0);
    setVisible('order-shadow');
    opacityAnimation('order-shadow', 0, 1.0, animTime, function(){});
}
function dismissShadow() {
    opacityAnimation('order-shadow', 1.0, 0, animTime, function() {
                     setGone('order-shadow');
                     setOpacity('order-shadow', 1);
                     });
    setFullWindowFrame();
}
function getSheetHeight(choiceNum){
    return 10+44*2+45*choiceNum+10+10;
}
function dismissAllActionSheet(){
    dismissActionSheet('socialtype-sheet',4);
}
function showActionSheet(id,choiceNum) {
    if(!isHidden(id)){
        return;
    }
    var sheetHeight = getSheetHeight(choiceNum);
    setPosition('sheet-maple',sheetHeight,'bottom');
    setVisible('sheet-maple');
    setSize(id, ''+sheetHeight +'px','height');
    setPosition(id,-sheetHeight,'bottom');
    setVisible(id);
    setVisible('order-sheet');
    //    showShadow();
    setVisible('order-shadow');
    positionAnimation(id, -sheetHeight, 0, animTime,'bottom',function(){});
}
function dismissActionSheet(id, choiceNum) {
    if(isHidden(id)){
        return;
    }
    var sheetHeight = getSheetHeight(choiceNum);
    setPosition(id, 0 ,'bottom');
    positionAnimation(id, 0, -sheetHeight, animTime,'bottom', function(){
                      setGone(id);
                      setGone('sheet-maple');
                      setGone('order-sheet');
                      
                      });
    dismissShadow();
}
function showAlertDialog(id) {
    if(!isHidden(id)){
        return;
    }
    setAvailHeightFrame();
    setVisible(id);
    setVisible('order-dialog');
}
function dismissAlertDialog(id) {
    if(isHidden(id)){
        return;
    }
    setGone(id);
    setGone('order-dialog');
    setFullWindowFrame();
}
function localTest(str){
    return;
    var u = navigator.userAgent;
    if (u.indexOf('Android') > -1 || u.indexOf('Linux') > -1) {
        actionWithContent('alert-msg',str);
    }
    if (u.indexOf('iPhone') > -1 || u.indexOf('iPad') > -1) {
        alert(str);
    }
}
function flipDoctorString(orgJsonstr){
    var u = navigator.userAgent;
    if (u.indexOf('Android') > -1 || u.indexOf('Linux') > -1) {
        return flipAndroidString(orgJsonstr);
    }
    return orgJsonstr;
}
function flipAndroidString(jsonstr){
    var minNjsonstr = jsonstr.replace(/\n/g, '\\n');
    var minRjsonstr = minNjsonstr.replace(/\r/g, '\\r');
    var minTjsonstr = minRjsonstr.replace(/\t/g, '\\t');
    var minBjsonstr = minTjsonstr.replace(/\b/g, '\\b');
    var minFjsonstr = minBjsonstr.replace(/\f/g, '\\f');
    return minRjsonstr;
}
function authenticLocation(name){
    var jstring='北京 北京 上海 上海 天津 天津 重庆 重庆 延吉 吉林市 白城 长春 辽源 白山 四平 松原 通化 延边 吉林 莆田 南平 龙岩 宁德 泉州 三明 厦门 漳州 福州 福建 淮安 常州 南京 南通 连云港 徐州 苏州 宿迁 泰州 无锡 盐城 扬州 镇江 江苏 九江 吉安 景德镇 萍乡 南昌 新余 上饶 宜春 鹰潭 赣州 抚州 江西 江门 揭阳 广州 潮州 茂名 梅州 清远 佛山 汕头 汕尾 深圳 韶关 阳江 湛江 云浮 中山 珠海 肇庆 河源 东莞 惠州 广东 桂林 贵港 防城港 南宁 来宾 柳州 钦州 梧州 北海 玉林 河池 贺州 百色 崇左 广西 贵阳 安顺 六盘水 黔南 黔东南 黔西南 毕节 铜仁 遵义 贵州 巢湖 淮北 安庆 池州 滁州 黄山 淮南 马鞍山 六安 宣城 宿州 铜陵 芜湖 阜阳 蚌埠 合肥 亳州 安徽 丹东 本溪 锦州 朝阳 辽阳 盘锦 阜新 鞍山 抚顺 沈阳 铁岭 大连 营口 葫芦岛 辽宁 赤峰 阿拉善盟 兴安盟 通辽 巴彦淖尔 乌兰察布 乌海 锡林郭勒盟 呼伦贝尔 呼和浩特 鄂尔多斯 包头 内蒙古 固原 石嘴山 吴忠 中卫 银川 宁夏 西宁 海东 海西 玉树州 海南州 海北 黄南 果洛 青海 石河子 五家渠 阿拉尔 图木舒克 哈密地区 博尔塔拉 昌吉州 阿勒泰地区 喀什地区 克拉玛依 阿克苏地区 克孜勒苏 塔城地区 吐鲁番地区 巴音郭楞 乌鲁木齐 伊犁 和田地区 新疆 济南 济宁 莱芜 聊城 德州 临沂 青岛 日照 潍坊 淄博 泰安 威海 烟台 东营 枣庄 菏泽 滨州 山东 晋城 晋中 长治 吕梁 临汾 忻州 朔州 太原 阳泉 运城 大同 山西 广安 广元 成都 眉山 凉山 绵阳 攀枝花 南充 德阳 乐山 泸州 内江 甘孜州 遂宁 资阳 巴中 达州 雅安 阿坝 自贡 宜宾 四川 宝鸡 安康 商洛 铜川 渭南 西安 咸阳 延安 汉中 榆林 陕西 酒泉 金昌 嘉峪关 兰州 陇南 平凉 临夏 庆阳 定西 武威 天水 张掖 白银 甘南 甘肃 那曲地区 拉萨 林芝地区 日喀则 昌都 山南 阿里 西藏 金华 嘉兴 衢州 丽水 宁波 绍兴 温州 台州 杭州 舟山 湖州 浙江 楚雄州 昆明 丽江 德宏 临沧 曲靖 保山 普洱 文山州 大理州 红河州 昭通 玉溪 怒江州 迪庆 西双版纳 云南 东方 琼海 文昌 五指山 万宁 儋州 定安 屯昌 陵水 澄迈 保亭 琼中 乐东 临高 昌江 白沙 三亚 海口 三沙 海南 保定 沧州 承德 廊坊 秦皇岛 邢台 石家庄 唐山 邯郸 张家口 衡水 河北 鸡西 佳木斯 哈尔滨 牡丹江 齐齐哈尔 七台河 绥化 双鸭山 伊春 大庆 大兴安岭 鹤岗 黑河 黑龙江 怀化 常德 长沙 郴州 娄底 邵阳 湘潭 湘西 张家界 益阳 衡阳 岳阳 永州 株洲 湖南 潜江 神农架 仙桃 天门 荆门 荆州 黄石 黄冈 孝感 恩施州 随州 十堰 襄阳 武汉 咸宁 宜昌 鄂州 湖北 济源 焦作 安阳 开封 洛阳 漯河 平顶山 驻马店 南阳 濮阳 新乡 信阳 许昌 商丘 三门峡 郑州 鹤壁 周口 河南';
    if(jstring.indexOf(name) >= 0){
        return true;
    } else {
        return false;
    }
    return false;
}

function filterLocation(){
    var provinceName = getSolidString(getCookie('locationProvince'));
    var cityName = getSolidString(getCookie('locationCity'));
    if(isEmpty(provinceName)){
        if(isEmpty(cityName)){
            return false;
        } else {
            return authenticLocation(cityName);
        }
    } else {
        if(isEmpty(cityName)){
            return authenticLocation(provinceName);
        } else {
            return true;
        }
    }
    return false;
}